Bug 23144 - Bad POD breaks svc/barcode
Summary: Bad POD breaks svc/barcode
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 20676
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-17 19:20 UTC by Nick Clemens
Modified: 2019-07-18 23:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23144: Replace missing =cut in svc/header (596 bytes, patch)
2019-06-17 19:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23144: Replace missing =cut in svc/header (648 bytes, patch)
2019-06-18 00:07 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23144: Replace missing =cut in svc/header (708 bytes, patch)
2019-06-19 12:26 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 23144: (QA follow-up) Fix another POD error in svc/barcode (585 bytes, patch)
2019-06-19 12:26 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-17 19:20:35 UTC
A certain RM apparently tried to fix a QA pod complaint when pushing bug 20676 to master.

This seems to have had the effect of breaking this script all together
Comment 1 Nick Clemens 2019-06-17 19:25:19 UTC
Created attachment 90690 [details] [review]
Bug 23144: Replace missing =cut in svc/header
Comment 2 M. Tompsett 2019-06-18 00:07:11 UTC
Created attachment 90709 [details] [review]
Bug 23144: Replace missing =cut in svc/header

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 M. Tompsett 2019-06-18 00:09:19 UTC
Similar to something I tinkered with, because of Owen.
http://paste.koha-community.org/2708
Perhaps the 403 is another bug?
Perhaps the 404 is at least a good idea for a section, but probably not 404?
Comment 4 Nick Clemens 2019-06-18 10:49:04 UTC
(In reply to M. Tompsett from comment #3)
> Similar to something I tinkered with, because of Owen.
> http://paste.koha-community.org/2708
> Perhaps the 403 is another bug?
> Perhaps the 404 is at least a good idea for a section, but probably not 404?

Yes, I think this would be another bug, maybe 400 instead of 404? 
https://www.restapitutorial.com/httpstatuscodes.html
Comment 5 Julian Maurice 2019-06-19 12:26:03 UTC
Created attachment 90782 [details] [review]
Bug 23144: Replace missing =cut in svc/header

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2019-06-19 12:26:07 UTC
Created attachment 90783 [details] [review]
Bug 23144: (QA follow-up) Fix another POD error in svc/barcode
Comment 7 Martin Renvoize 2019-06-20 08:34:04 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-07-15 13:28:39 UTC
Pushed to 19.05.x for 19.05.02
Comment 9 Lucas Gass 2019-07-18 23:06:54 UTC
backported to 18.11.x for 18.11.08